Loading...
Searching...
No Matches
ojph::local::bit_read_buf Struct Reference

`#include <ojph_bitbuffer_read.h>`

## Public Attributes

infile_base * | file
ui32 | tmp
int | avail_bits
bool | unstuff
ui32 | bytes_left

## Detailed Description

Definition at line 56 of file ojph_bitbuffer_read.h.

## Member Data Documentation

## avail_bits

int ojph::local::bit_read_buf::avail_bits

Definition at line 60 of file ojph_bitbuffer_read.h.

Referenced by ojph::local::bb_init(), ojph::local::bb_read(), ojph::local::bb_read_bit(), ojph::local::bb_read_bits(), ojph::local::bb_read_chunk(), and ojph::local::bb_terminate().

## bytes_left

ui32 ojph::local::bit_read_buf::bytes_left

Definition at line 62 of file ojph_bitbuffer_read.h.

Referenced by ojph::local::bb_init(), ojph::local::bb_read(), ojph::local::bb_read_chunk(), ojph::local::bb_skip_eph(), ojph::local::bb_skip_sop(), and ojph::local::precinct::parse().

## file

infile_base* ojph::local::bit_read_buf::file

Definition at line 58 of file ojph_bitbuffer_read.h.

Referenced by ojph::local::bb_init(), ojph::local::bb_read(), ojph::local::bb_read_chunk(), ojph::local::bb_skip_eph(), and ojph::local::bb_skip_sop().

## tmp

ui32 ojph::local::bit_read_buf::tmp

Definition at line 59 of file ojph_bitbuffer_read.h.

Referenced by ojph::local::bb_init(), ojph::local::bb_read(), ojph::local::bb_read_bit(), ojph::local::bb_read_bits(), and ojph::local::bb_terminate().

## unstuff

bool ojph::local::bit_read_buf::unstuff

Definition at line 61 of file ojph_bitbuffer_read.h.

Referenced by ojph::local::bb_init(), ojph::local::bb_read(), ojph::local::bb_read_chunk(), and ojph::local::bb_terminate().

The documentation for this struct was generated from the following file:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/codestream/ojph_bitbuffer_read.h